Subject: Error messages running gdb under Win95 : "/WINDOWS/SYSTEM/SHLWAPI.DLL": error reading line numbers
From: [email-masked] (Pascal Graffion)

8 May 1998 04:22:14 -0700
Message-ID: <9805071540.AA19796.cygnus.gnu-win32@bronze-two>
Reply-To: [email-masked]
To: [email-masked]

When I run gdb on a program compiled with gcc, I got several error 
messages like the following.
[failed reading symbols from DLL]
"/WINDOWS/SYSTEM/SHLWAPI.DLL": error reading line numbers

If I run gdb from the dos prompt, I got these messages, but gdb shows me
my source code correctly.

If I run gdb from emacs 
("GNU Emacs 19.34.4 (i386-*-nt4.0) of Tue Jul 22 1997 on woozle")
the source is not displayed correctly : a new empty buffer is opened
for each of my source files.

Questions:
----------
Is there a solution to suppress these error mesages?
Is it possible to run gdb from Emacs on Win 95?

Best regards
  Pascal

--------------------------------------------------------------------

Here follows the trace of a gdb session:

Current directory is d:/usr/local/src/scr/dicovoc/
GNU gdb 4.16.1
Copyright 1997 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-cygwin32"...
(gdb) b main
Breakpoint 1 at 0x4027c6: file icetest0.c, line 625.
(gdb) r
Starting program: //d/usr/local/src/scr/dicovoc/icetest0.exe 
bff30000:/WINDOWS/SYSTEM/GDI32.DLL
bff60000:/WINDOWS/SYSTEM/USER32.DLL
7c4f0000:/WINDOWS/SYSTEM/WSOCK32.DLL
bfed0000:/WINDOWS/SYSTEM/ADVAPI32.DLL
bff70000:/WINDOWS/SYSTEM/KERNEL32.DLL

[failed reading symbols from DLL]
"/WINDOWS/SYSTEM/SHLWAPI.DLL": error reading line numbers

7fdb0000:/WINDOWS/SYSTEM/SHELL32.DLL

[failed reading symbols from DLL]
"/WINDOWS/SYSTEM/COMCTL32.DLL": error reading line numbers

63280000:/WINDOWS/SYSTEM/URL.DLL

Breakpoint 1, main (argc=1, argv=0x254f894) at icetest0.c:625
(gdb)
 
 ==============================================================================
 Pascal Graffion                     	mailto: [email-masked]
 Bull S.A				Tel    : +33 (0)1 30 80 63 94
 Rue Jean Jaures B.P.68 , F1-2D-22     	Bullcom: (23)76394
 78340 Les Clayes sous Bois FRANCE   	Fax    : +33 (0)1 30 80 70 78
 ==============================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".